<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
VerUpgrade_BumpRevisions Method (IEdmRevisionMgr3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr3 Interface : VerUpgrade_BumpRevisions Method (IEdmRevisionMgr3)

Visual Basic
C#
C++/CLI

poFiles
  Array of EdmSelItem structures; one structure for each file on which to bump the revision number (see Remarks)

Moves all revisions set on the second-to-latest version to the latest version.

# Syntax

Visual Basic |
--- | ---

    Sub VerUpgrade_BumpRevisions( _
       ByVal poFiles() As EdmSelItem _
    )

C# |
--- | ---

    void VerUpgrade_BumpRevisions(
       EdmSelItem[] poFiles
    )

C++/CLI |
--- | ---

    void VerUpgrade_BumpRevisions(
    &   array<EdmSelItem>^ poFiles
    )

#### Parameters

poFiles
  Array of EdmSelItem structures; one structure for each file on which to bump the revision number (see Remarks)

# Remarks

You need to be logged in as a user that has permission to update revision numbers (EdmSysRightFlags.EdmSysRight_ModifyRevisionNumbers) in order to use this method. The reason you need this high level of permission is that this method overrides other permission settings on the file and changes the content of file history.

poFiles contains the array of files on which to bump revision numbers. Files lacking revisions on the second-to-latest version are ignored.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr3 Interface
IEdmRevisionMgr3 Members

# Availability

SOLIDWORKS PDM Professional 2009